<script>
export default {
  globalData: {
    userInfo: {},
    shopInfo: {
      shop_name: "茶付宝",
      desc: "茶付宝",
    },
  },
  errTips(msg, duration, open) {
    uni.showToast({
      title: msg,
      icon: "none",
      duration: duration ? duration : 1200,
      mask: true,
    });
  },
  // 接口未传递有效参数值的错误提示
  parameter(authName) {
    throw new Error("'" + authName + "' cat't be empty!");
  },
  onLaunch() {
    var logs = uni.getStorageSync("logs") || [];
    logs.unshift(Date.now());
    uni.setStorageSync("logs", logs);
    uni.setStorageSync("mallName", "茶付宝");
  },
  onShow() {},
  onHide() {},
};
</script>

<style>
/*每个页面公共css */
@import "./app.scss";
</style>
